happstack-server-7.9.3: Web related tools and services.

Safe Haskell | None
Language | Haskell2010

Happstack.Server.Internal.TimeoutSocket

Description

- - borrowed from snap-server. Check there periodically for updates.

# Documentation

sPutLazyTickle :: Handle -> Socket -> ByteString -> IO () Source #

sPutTickle :: Handle -> Socket -> ByteString -> IO () Source #

sGet :: Handle -> Socket -> IO (Maybe ByteString) Source #

sGetContents Source #

Arguments

:: Handle |
-> Socket | Connected socket
-> IO ByteString | Data received

sendFileTickle :: Handle -> Socket -> FilePath -> Offset -> ByteCount -> IO () Source #

iterTickle :: Handle -> IO Iter -> IO () Source #

timeoutSocketIO :: Handle -> Socket -> TimeoutIO Source #